org.appng.tools.poi

## Class FontBuilder

- java.lang.Object
- - org.appng.tools.poi.FontBuilder

-     public class FontBuilder
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FontBuilder(org.apache.poi.ss.usermodel.Workbook workbook)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `FontBuilder` | `bold()`
    `org.apache.poi.ss.usermodel.Font` | `build()`
    `FontBuilder` | `color(Color color)`
    `FontBuilder` | `color(String hexcode)`
    `FontBuilder` | `italic()`
    `FontBuilder` | `name(String name)`
    `void` | `reset()`
    `protected void` | `setColor(org.apache.poi.ss.usermodel.Font font)`
    `FontBuilder` | `size(short size)`
    `FontBuilder` | `strikeout()`
    `FontBuilder` | `underline()`
    `FontBuilder` | `underlineDouble()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FontBuilder

          public FontBuilder(org.apache.poi.ss.usermodel.Workbook workbook)

  - ### Method Detail

    - #### color

          public FontBuilder color(String hexcode)

    - #### color

          public FontBuilder color(Color color)

    - #### size

          public FontBuilder size(short size)

    - #### name

          public FontBuilder name(String name)

    - #### italic

          public FontBuilder italic()

    - #### strikeout

          public FontBuilder strikeout()

    - #### bold

          public FontBuilder bold()

    - #### underline

          public FontBuilder underline()

    - #### underlineDouble

          public FontBuilder underlineDouble()

    - #### setColor

          protected void setColor(org.apache.poi.ss.usermodel.Font font)

    - #### build

          public org.apache.poi.ss.usermodel.Font build()

    - #### reset

          public void reset()

Copyright © 2011–2023 aiticon GmbH. All rights reserved.